Retrieve MCP Gateway Activity Stream Details
get
/ic/api/integration/v1/monitoring/mcp/instances/{id}/activityStreamDetails
Retrieve the runtime activity stream (audit) for an MCP gateway tracking instance.
Request
Path Parameters
-
id(required): string
MCP gateway instance identifier.
Query Parameters
-
integrationInstance(required): string
Service instance name, as in the About page. Public routing parameter; not declared in the factory controller.Example:
example-instance -
projectId: string
Optional project code. When supplied, checks project access. Collection endpoints also apply a project filter. When omitted, the factory applies no project-specific access check or filter.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json; charset=utf-8
200 Response
Successful operation
Nested Schema : MCPGatewayActivityStreamItemRs
Type:
Show Source
object-
children: array
children
-
errorCode: string
-
errorMessage: string
-
errorSummary: string
-
errorType: string
-
eventType: string
-
flowEventId: string
-
flowId: string
-
gatewayCallDuration: integer
(int64)
-
gatewayCode: string
-
gatewayVersion: string
-
httpResponseCode: integer
(int32)
-
inboundPayloadSize: integer
(int64)
-
invokedBy: string
-
isError: boolean
-
mcpCallDuration: integer
(int64)
-
mcpServerCode: string
-
mcpServerVersion: string
-
mcpToolName: string
-
message: string
-
ociRequestId: string
-
openSearchPayloadSize: integer
(int64)
-
outboundPayloadSize: integer
(int64)
-
payloadData: string
-
payloadEncoding: string
-
payloadExists: boolean
-
payloadId: string
-
payloadMediaType: string
-
payloadName: string
-
payloadType: string
-
policyCallDuration: integer
(int64)
-
policyCategory: string
-
policyCode: string
-
policyVersion: string
-
projectCode: string
-
requestHeaders: string
-
requestOperation: string
-
requestUrl: string
-
timestamp: string
400 Response
Invalid parameters; also used for downstream query-service errors other than throttling.
401 Response
Unauthorized, or supplied project context fails the factory access check.
404 Response
Instance not found
429 Response
Downstream tracking service throttled the request.
500 Response
Server error
Examples
The following example shows how to retrieve MCP Gateway activity stream details by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve MCP Gateway Activity Stream Details
curl --get \"${BASE_URL}/ic/api/integration/v1/monitoring/mcp/instances/${INSTANCE_ID}/activityStreamDetails\" \\\n --header \"Authorization: Bearer ${ACCESS_TOKEN}\" \\\n --data-urlencode \"integrationInstance=${INTEGRATION_INSTANCE}\" \\\n --data-urlencode \"projectId=${PROJECT_ID}\"